1. Models
  2. Get Embedding Model
GET
/models/embedding/{model_name}
curl --request GET \
     --url https://app.backboard.io/api/models/embedding/{model_name} \
     --header 'X-API-Key: <api-key>' \
     --header 'authorization: <authorization>' \
     --header 'x_session_token: <x_session_token>'

​
Authorizations

X-API-Key
required
string
API Key authentication

​
Query Parameters

model_name
required
string
authorization
x_session_token

​
Response

application/json
  • 200

  • 422

Successful Response

name
required
string

Name of the embedding model

provider
required
string

Provider of the model (e.g., openai, cohere, google)

embedding_dimensions
required
integer

Dimension of the embedding vectors

context_limit
required
integer

Maximum context window size in tokens

last_updated
string | null

Last time the model was updated